<link rel="stylesheet" type="text/css" href="styles/jquery-ui-1.10.3.custom.css">
<link rel="stylesheet" type="text/css" href="styles/jquery.dataTables.css">
<script src="scripts/functions.js"></script>
<script src="scripts/prefixfree.min.js"></script>
<script src="scripts/jquery.dataTables.js"></script>
<script src="scripts/jquery-ui-1.10.3.custom.js"></script>
<script src="js/jquery.js"></script>
 

<style>
#primero {
    width: 58%;
    float: left;
    height: 700px;
	padding: 2px;
	font-size:10px;
	border:#000;
	border-style:solid;
	overflow-y:auto; 
}

#segundo {
    width: 42%;
    float: right;
    height: 700px;
	padding: 2px;
	overflow-y:auto;
	border:#000;
	border-style:solid;
	z-index:0;
	size:10px;
}
.Estilo1 {font-size: 12px}
</style>
<?php
error_reporting(E_ALL ^ E_NOTICE);
require_once ("config/db.php");
require_once ("config/conexion.php");
session_start();
if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) 
{
	header("location: login.php");
	exit;
}
$active_proformas="";
$active_proformas="active";
$active_productos="";
$active_clientes="";
$active_usuarios="";	
$title="Nueva Proforma |" .NOMBRE_EMPRESA;

?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <?php include("head.php");?>
  </head>
  <body>
	<?php
	include("navbar.php");
	?>  
    <div class="container" style="width:99%">
		<div class="panel panel-info">
			<div class="panel-heading">
        		<h4><i class='glyphicon glyphicon-edit'></i> Nueva Proforma</h4>
			</div>
			<div class="panel-body">
				<?php 
				
				include("modal/registro_clientes.php");
				
				$sql_pro=mysqli_query($con, "select LAST_INSERT_ID(numero_proforma) as last from proformas order by id_proforma desc limit 0,1 ");
				$res=mysqli_fetch_array($sql_pro);
				$numero_proforma=$res['last']+1;	
				$_SESSION['num_pro']=$numero_proforma;
				?>
				<form class="form-horizontal" role="form" action="ajax/procesar_proforma.php" method="get">
               <div class="table-responsive">
				<table width="100%" class="table">
                <tr>
                <td>
                	<h4 style="font-size:12px;">PROFORMA: <?php echo $numero_proforma;?></h4>
					<input type='hidden' id="num_pro" name="num_pro" value="<?php echo $numero_proforma;?>">
                	
                </td>
                <td>
                <?php
						$id_vendedor=$_SESSION['user_id'];
						$sql_vendedor=mysqli_query($con,"select * from users where user_id=$id_vendedor");
						while ($rw=mysqli_fetch_array($sql_vendedor))
						{
								$nombre_vendedor=$rw["firstname"]." ".$rw["lastname"];
							
						}
 						?>
                       	<h4 style="font-size:12px;">VENDEDOR: <?php echo $nombre_vendedor;?></h4>
						<input type="hidden" id="nombre_vendedor" name="nombre_vendedor" value="<?php echo $nombre_vendedor?>">
						<input type="hidden" class="form-control input-sm" id="id_vendedor" name="id_vendedor" value="<?php echo $id_vendedor?>">
                </td>
                <td>
                <h4 style="font-size:12px;">FECHA: <?php echo date("d/m/Y");?></h4>
				<input type="hidden" class="form-control input-sm" id="fecha" name="fecha" value="<?php echo date("d/m/Y");?>">
				</td>
				
               
				<td width="50%"></td>
                </tr>
                <tr>
                <td>
                	<h4 style="font-size:12px;">CLIENTE: </h4>
                    
                </td>
                <td>
                	<input type="text" class="form-control input-sm" id="nombre_cliente" name="nombre_cliente" placeholder="Introduzca dato de un cliente" required>
                    <input id="id_cliente" name="id_cliente" type='hidden'>	
	                
                </td>
                <td>
                <button type="button" class="btn btn-default" data-toggle="modal" data-target="#nuevoCliente">
		 		<span class="glyphicon glyphicon-user"></span> Nuevo cliente
				</button>	
                </td>
                <td colspan="50%" class='text-center'>
                 <div class="pull-right">
						<div class="col-md-12">
							<button type="submit" class="btn btn-default">
								<span class="glyphicon glyphicon-print"></span> Procesar
						</button>
						</div>	
					</div>			
				</div>
                </td>
                </tr>
                </table>
                
                		
				</form>	
                <div id="primero" style="overflow:scroll;">
                	<div class="modal-header" style="margin-top:-15px;">
						<h4 class="modal-title" style="font-size:14px;">BUSCAR PRODUCTOS</h4>
					</div>
					<div class="modal-body">
						<form class="form-horizontal">
							<div class="form-group">
								<?php if($_SESSION['rol']=="gerencia" || $_SESSION['user_name']=="mtorres")
								{?>
									<label for="q" class="control-label col-md-2 Estilo1"><strong>Tienda</strong></label>
							  <div class="col-md-7">
										<select class="form-control" id="est" name="est" onchange='load(1);'/>
	 					          			<option value="">---Seleccione una Tienda---</option>
											<?php 
        	      								$count_query= mysqli_query($con, "SELECT * FROM `tiendas` where nombre LIKE '%Tienda%'");
					     						while($dato= mysqli_fetch_array($count_query))
												{
			 										$tienda=$dato['nombre'];
													$id_tienda=$dato['id_tienda'];
					  							?>
        			          						<option value="<?php echo $id_tienda; ?>"><?php echo $tienda; ?></option>
           								      <?php 
												}	 
						  						?>
               								      </select> 
						        <p></p>
           						<p>&nbsp;</p>
							  </div>
								<?php 
								}	 
						  		?>
								<div class="col-sm-5">
                		    		<input type="text" class="form-control" id="q" placeholder="Buscar por Nombre" onKeyUp="load(1)">
								</div>
								<div class="col-sm-3">
                		    		<select class="form-control" id="rub" name="rub" onchange='load(1);'/>
	 			          			<option value="">---Rubros---</option>
						  			<?php 
              						$count_query= mysqli_query($con, "SELECT * FROM `products` GROUP BY `tipo_producto`");
		     						while($dato= mysqli_fetch_array($count_query))
									{
			 							$rubro=$dato['tipo_producto'];
			  							?>
                  						<option value="<?php echo $rubro; ?>"><?php echo $rubro; ?></option>
                  					<?php 
									}	 
						  			?>
                          			</select> 
								</div>
								<div class="col-sm-4">
                		    	<select class="form-control" id="marcas" name="marcas" onchange='load(1);'/>
	 			          			<option value="">---Marcas---</option>
						  			<?php 
              						$count_query= mysqli_query($con, "SELECT * FROM `products` GROUP BY `marca`");
		     						while($dato= mysqli_fetch_array($count_query))
									{
			 							$marcas=$dato['marca'];
			  						?>
                  						<option value="<?php echo $marcas; ?>"><?php echo $marcas; ?></option>
                  					<?php 
									} 
						  			?>
                          			</select> 
								</div>
							</div>
						</form>
						<div class="outer_div" ></div><!-- Datos ajax Final -->
					</div>
            	</div>
			
	            <div id="segundo">
    	        	<div class="clearfix">
        	   		</div>
            		<br>
					<br>
					<h4 align="center" style="font-size:12px; font-weight:bold;">DETALLE DE PROFROMA Nº <?php echo $numero_proforma;?></h4>
 					<div id="resultados" style="display:block; margin-top:20px;" class="col-md-12">
    		    	</div><!-- Carga los datos ajax -->	
                    
				</div>
            
				
			</div>
		</div>		
	</div>
	<hr>
	<?php
	include("footer.php");
	?>
	<script type="text/javascript" src="js/VentanaCentrada.js"></script>
	<script type="text/javascript" src="js/nueva_proforma.js"></script>
	<link rel="stylesheet" href="js/jquery-ui-1.11.4/jquery-uitheme.css">
    <script src="js/jquery-ui-1.11.4/jquery-ui.js"></script>
	<script>
	 function uncheck(){
     var checkbox1 = document.getElementById("1");
     var checkbox2 = document.getElementById("2"); 
    checkbox1.onclick = function(){ 
    if(checkbox1.checked != false){ 
    checkbox2.checked =null; }
     } 
    checkbox2.onclick = function(){ 
    if(checkbox2.checked != false){ 
    checkbox1.checked=null;
     }
     } 
    }

	
	
	$(document).ready(function(){
			$("#num_pro").blur(function(){
			var num_pro=document.getElementById('num_pro').value;;
				
			$.ajax({
              url: "num_proforma.php",
              type: "POST",
              async: true,
              data: {
                num_pro : num_fac} ,
                    success: function(result) {
                       $('#resultado').html(result);

                    },
                    error: function(result) {

                  $('#resultado').html('Se ha producido un error.');
                    }
              });
			
		});
		});
	
		$(function() {
						$("#nombre_cliente").autocomplete({
							source: "./ajax/autocomplete/clientes.php",
							minLength: 2,
							select: function(event, ui) {
								event.preventDefault();
								$('#id_cliente').val(ui.item.id_cliente);
								$('#nombre_cliente').val(ui.item.nombre_cliente);
								$('#tel1').val(ui.item.telefono_cliente);
								$('#mail').val(ui.item.email_cliente);
								$('#organizacion_cliente').val(ui.item.organizacion_cliente);
																
							 }
						});
						 
						
					});
					
	$("#nombre_cliente" ).on( "keydown", function( event ) {
						if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
						{
							$("#id_cliente" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
							$("#organizacion_cliente" ).val("");
											
						}
						if (event.keyCode==$.ui.keyCode.DELETE){
							$("#nombre_cliente" ).val("");
							$("#id_cliente" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
							$("#organizacion_cliente" ).val("");
						}
			});	
			
			
			
</script>	

  </body>
</html>